FDDividendEngineShiftScale< Scheme > Class Template Reference
Pricing engines » Vanilla option engines

Finite-differences engine for dividend options using shifted dividends. More...

`#include <ql/pricingengines/vanilla/fddividendengine.hpp>`

Inheritance diagram for FDDividendEngineShiftScale< Scheme >:
[legend]

## Public Member Functions

| FDDividendEngineShiftScale (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)
Public Member Functions inherited from FDDividendEngineBase< CrankNicolson >
| FDDividendEngineBase (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Additional Inherited Members

Protected Member Functions inherited from FDDividendEngineBase< CrankNicolson >
virtual void | setupArguments (const PricingEngine::arguments *) const
virtual void | setGridLimits () const=0
Real | getDividendAmount (Size i) const
Real | getDiscountedDividend (Size i) const

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDDividendEngineShiftScale< Scheme >

Finite-differences engine for dividend options using shifted dividends.

This engine uses the same algorithm that was used in versions 0.3.11 and earlier. It produces results that are different from the Merton-73 engine.